Bug 828686 - yum cannot handle @ in a proxy username
yum cannot handle @ in a proxy username
Status: CLOSED DUPLICATE of bug 845579
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 04:04 EDT by Karel Srot
Modified: 2014-01-21 01:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 770117
Environment:
Last Closed: 2013-03-18 05:24:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-06-05 04:04:46 EDT
Present also on rhel5
yum-3.2.22-40.el5

+++ This bug was initially created as a clone of Bug #770117 +++

Description of problem:
when a proxy usrname such as "toto@org" is used, yum tries to use org as a proxy and fails.

Version-Release number of selected component (if applicable):
yum 3.2.29 and all previous.

How reproducible:
all the time

Steps to Reproduce:
1.configure your proxy in the normal assistants (aka in /etc/sysconfig/rhn/up2date or /etc/yum.conf) using the fields reserved for the username and password. (in up2date, proxy_user and proxy_password, in yum.conf proxy_username and proxy_password). the username *must* be using a "@"

2. attempt to use yum : yum check-update will do
3. it fails trying to reach a proxy that does not exist. debuging options are required to see the url used.
  
Actual results:
yum does not correctly encoded the @ in the username ; this causes a failure when trying to connect to a proxy (it will try to contact org@proxy.fqdn).

Expected results:
yum uses the password and username defined in the proxy_username or proxyUser, etc. fields.

Additional info:

exists in fedora : https://bugzilla.redhat.com/show_bug.cgi?id=682412

can be worked around by using the following url format instead of the username and password format :

	http://toto%40org:password@proxy.fqdn:port

it looks like yum does not encode the username appropriately. I suggest to not only map @ but also other strings that can cause issues ; a table of the content is available on kbase https://access.redhat.com/kb/docs/DOC-67888 (internal)
Comment 1 RHEL Product and Program Management 2012-06-11 21:22:37 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 2 Zdeněk Pavlas 2013-03-18 05:24:49 EDT

*** This bug has been marked as a duplicate of bug 845579 ***

Note You need to log in before you can comment on or make changes to this bug.